• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required)

    iFath is an SHSH and APticket dumping application for Windows.

    If you're on iOS 5.0.1 already, then you're out of luck. Fortunately, those of us still on iOS 5.0 can save not only our SHSH blobs but also our APtickets, which are used in Apple's new firmware verification process. What does that mean? It means that if you're on iOS 5.0 right now, and you mess your iDevice up and need to restore (updates to iOS 5.0.1) then you can downgrade back to iOS 5.0 granted you used iFaith to save your APticket before you restored.

    Just to emphasize, if you are on iOS 5.0.1 already, you CANNOT downgrade to iOS 5.0. This is for people who have saved their APtickets on iOS 5.0 as they will be the only ones who can downgrade back from iOS 5.0.1 to iOS 5.0.

    An APticket is a piece of information. It's like a screenshot in a sense. When you are using Apple's iOS 5.0 firmware, your device has an APticket saved for iOS 5.0. When you update to iOS 5.0.1, your APticket changes to an iOS 5.0.1 APticket. This is how Apple keeps you from downgrading. By using iFaith, you can save not only your SHSH blobs, but also your current (iOS 5.0) APticket. That means that you can use the APticket that you had for iOS 5.0 to downgrade back to iOS 5.0 from iOS 5.0.1 since your iOS 5.0 APticket is still valid. If you don't save your APticket when you are on iOS 5.0, then your new APticket is the one that is given to you by iOS 5.0.1 which means that you don't have an APticket for iOS 5.0. Since you won't have an APticket for iOS 5.0 and you only have one for iOS 5.0.1, you can't downgrade back to iOS 5.0; iOS 5.0.1 is the lowest you will be able to go.

    Hopefully I clarified that enough for you all, honestly I barely even knew what iFaith did and I needed to research it a bit myself so bear with me.

    Currently, iFaith only supports Windows, as iH8sn0w is a Windows user himself. He is also the famed developer behind Sn0wbreeze which is also a Windows-only jailbreak tool. At this point in time, we don't know if a Mac version will be released, but all Macs can run Windows, so there's no issue with compatibility here.

    iFaith 1.4 for Windows can be downloaded for free here.

    iFaith release notes:
    PHP Code: [View]
    iFaith v1.4 Release notes:
    ======================================
    Now dumps iOS 4.4.(Apple TV 2)/5.0.x apticket SHSH blobs!
    Dumping is MUCH faster.
    Full Windows XP support.
    Major code improvements.
    Bug fixes.

    **************************************
    ** 
    DOES NOT SUPPORT A5 DEVICES YET! **
    **************************************

    ======================================
    Now available athttp://iH8sn0w.com
    ======================================
    // iH8sn0w

    "You gotta believe in the voltage that lives inside us,
    So lets buckle up and break our walls down. (Whooooaahhoo)"
    -- @Skrillex 
    I recommend dumping your SHSH and APtickets if you're on iOS 5.0. It will make downgrading back to iOS 5.0 possible for you in the future (in fact, right now). Will you be downloading and using iFaith 1.4? Share in the comments below!

    Sources: iH8sn0w
    This article was originally published in forum thread: Downgrade From iOS 5.0.1 to iOS 5 Thanks to iFaith 1.4 (iOS 5.0 APticket Required) started by Anthony Bouchard View original post
    Comments 115 Comments
    1. fluffybunnyabc's Avatar
      fluffybunnyabc -
      Yay 2 days late
    1. GellBrake'rrrr's Avatar
      GellBrake'rrrr -
      Quote Originally Posted by fluffybunnyabc View Post
      Yay 2 days late
      2 days late for what? You upgraded 2 days ago??? Why did you do it in the 1st place?
    1. keenpois0n's Avatar
      keenpois0n -
      this is (in a sense I suppose) a solution to the shsh problem, if I understand correctly. which means this is good! too bad I'm on 5.0.1
    1. Eonhpi's Avatar
      Eonhpi -
      Id use it if it work for a5 chips dang
    1. mmaboi21's Avatar
      mmaboi21 -
      This is honestly a dream come true! I'm very excited that I can restore my device whenever I want(5.0) I dumped and saved a fresh signed ipsw file about twenty minutes ago.

      Hey Anthony, no luck on a response from ih8snow.
    1. nicoand's Avatar
      nicoand -
      wish some one would do a jailbreak for iphone 4S but ive heard there wont be for a long long time never mind just have to wait like everyone else
    1. docmagoo2's Avatar
      docmagoo2 -
      If I read this correctly the only way to get your AP ticket is to be on the firmware that you want it for? ie if I'm still on ios4 I can request my SHSH for the latest FW via tinyumbrella but can't get the AP ticket as I'm not on 5/5.0.1/5.1 for those respective revisions? Essentially meaning if you want to go back down at a later date you need to update in the 1st place....
    1. GrandMasterB's Avatar
      GrandMasterB -
      This is pretty damn cool. Hope it really works!
    1. TooSlo's Avatar
      TooSlo -
      Might want to note in the title or early on that it doesn't support the 4S.
    1. jose060789's Avatar
      jose060789 -
      Alright so I downgraded from iOS 5.0 down to iOS 4.3.3, about 2 weeks ago. My questions is; can I update back to iOS 5.0 without having to go all the way to iOS 5.0.1 if I already have iOS 5.0 ipsw firmware by holding shift and pressing restore/update on iTunes on my iPhone 4? Please reply, thanks!
    1. koreanmasters99's Avatar
      koreanmasters99 -
      you forgot to mention that it doesn't work with 4s.Tried it. It says "unsupported device"
    1. iYeow's Avatar
      iYeow -
      I just tried it and it works like a charm (support up to iphone 4 ) Thanks to iFaith ,

      I am SOL on my other iphone 4 because i updated to 5.0.1
    1. Airwaves182's Avatar
      Airwaves182 -
      Is there an iOS 5 untethered JB?
    1. ady199's Avatar
      ady199 -
      When will it support the 4s????
    1. iYeow's Avatar
      iYeow -
      Quote Originally Posted by Airwaves182 View Post
      Is there an iOS 5 untethered JB?

      Not yet , still waiting for untethered jailbreak at 5.0

      Quote Originally Posted by jose060789 View Post
      Alright so I downgraded from iOS 5.0 down to iOS 4.3.3, about 2 weeks ago. My questions is; can I update back to iOS 5.0 without having to go all the way to iOS 5.0.1 if I already have iOS 5.0 ipsw firmware by holding shift and pressing restore/update on iTunes on my iPhone 4? Please reply, thanks!
      No, you can't . You need to dump your ifaith blob first while you were at 5.0.

      I tried to dump ifaith blob for my 3gs old bootrom at 5.0 and ifaith says it is not needed as shsh is not required and a message says "all you need is just restore to custom firmware of 5.0". Hmmm, wonder if this is true
    1. delusion950's Avatar
      delusion950 -
      Quote Originally Posted by Airwaves182 View Post
      Is there an iOS 5 untethered JB?
      Hm... i really wonder is there....? what do u think Sherlok? Do you read news once every year or .... Jesus

      Quote Originally Posted by ady199 View Post
      When will it support the 4s????
      tomorrow maybe... you didnt read about it yet?

      Quote Originally Posted by Eonhpi View Post
      Id use it if it work for a5 chips dang
      so would the whole world that read this article

      Quote Originally Posted by GrandMasterB View Post
      This is pretty damn cool. Hope it really works!
      it works. u just havent tried it. that's of course if u have iPhone 4

      Quote Originally Posted by TooSlo View Post
      Might want to note in the title or early on that it doesn't support the 4S.
      IT IS NOTED. It says A5 chips not supported yet.

      Quote Originally Posted by mmaboi21 View Post
      This is honestly a dream come true! I'm very excited that I can restore my device whenever I want(5.0) I dumped and saved a fresh signed ipsw file about twenty minutes ago.

      Hey Anthony, no luck on a response from ih8snow.

      Good job. we're proud of you. did you wana cookie now?

      Quote Originally Posted by docmagoo2 View Post
      If I read this correctly the only way to get your AP ticket is to be on the firmware that you want it for? ie if I'm still on ios4 I can request my SHSH for the latest FW via tinyumbrella but can't get the AP ticket as I'm not on 5/5.0.1/5.1 for those respective revisions? Essentially meaning if you want to go back down at a later date you need to update in the 1st place....
      Ill tell Anthony to rewrite the instructions again just to it is clear for you. Anthony please rewrite for this gentleman instructions again so it is more clearer then it already is.

      Quote Originally Posted by keenpois0n View Post
      this is (in a sense I suppose) a solution to the shsh problem, if I understand correctly. which means this is good! too bad I'm on 5.0.1
      too bad, damn iTunes

      Quote Originally Posted by fluffybunnyabc View Post
      Yay 2 days late
      Ye... better late than never yeah?
    1. Orby's Avatar
      Orby -
      Quote Originally Posted by iYeow View Post
      I tried to dump ifaith blob for my 3gs old bootrom at 5.0 and ifaith says it is not needed as shsh is not required and a message says "all you need is just restore to custom firmware of 5.0". Hmmm, wonder if this is true
      It is indeed true. SHSH blobs are NOT written to disk on 24kpwn (old bootrom) jailbroken 3GS units. No blobs to check, no blobs to cull, everybody wins.

      Quote Originally Posted by delusion950 View Post
      Be nice. Though a note clarifying what exactly is an A5 device (iPad 2 and iPhone 4S ) would be helpful.
    1. delusion950's Avatar
      delusion950 -
      Quote Originally Posted by Orby View Post
      Be nice. Though a note clarifying what exactly is an A5 device (iPad 2 and iPhone 4S ) would be helpful.

      =) I am nice. I know you know and most of the people know we're talking about iPhones A5 chip. Nowhere in the title did Anthony mention iPad and creator of sn0wbreeze well not that i know of has made sn0wbreeze to make custom firmware to restore iPad.
    1. xclusiveiphone's Avatar
      xclusiveiphone -
      Hopefully iPhone 4S will be supported soon.
    1. delusion950's Avatar
      delusion950 -
      Quote Originally Posted by xclusiveiphone View Post
      Hopefully iPhone 4S will be supported soon.
      it wont